{% extends 'base.html' %}

{% block style %}
<style type="text/css">
.login-form {
		width: 340px;
    	margin: 50px auto;
	}
    .login-form form {
    	margin-bottom: 15px;
        background: #f7f7f7;
        box-shadow: 0px 2px 2px rgba(0, 0, 0, 0.3);
        padding: 30px;
    }
    .login-form h2 {
        margin: 0 0 15px;
    }
    input, .btn {
        min-height: 38px;
        border-radius: 2px;
        width: 80%;
        margin: 0 10%;
    }
    .btn {        
        font-size: 15px;
        font-weight: bold;
    }

</style>
{% endblock %}

{% block title %}Login{% endblock %}

{% block content %}

  <form method="post">
    {% csrf_token %}
      <h2 class="text-center" style="padding: 10% 0 0;">Iniciar Sesión</h2>
      {% if form.errors %}
      <p class="text-center" style="color:red">Nombre de usuario o contraseña incorrecta</p>
      {% endif %}       
      <div class="form-group">
        {{form.username}}
      </div>
      <div class="form-group">
        {{form.password}}
      </div>
      <div class="form-group">
          <button type="submit" class="btn btn-primary btn-block">Iniciar Sesión</button>
      </div>     
  </form>

{% endblock %}


{% block script %}
<script>
  $( document ).ready(function() {
    $("#id_password").attr('placeholder','Contraseña')
    $("#id_username").attr('placeholder','Nombre de Usuario')
  })
</script>
{% endblock %}